<dx-scroll-view height='100%'>
    <dx-form [formData]='edit.model' [showValidationSummary]="false" validationGroup="partyWasteValidation" labelLocation="left">
        <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
            <dxi-item [label]="{text: 'Cod deșeu'}" dataField="wasteTypeId" editorType="dxSelectBox"
                [editorOptions]="{dataSource: dsWasteType, valueExpr: 'id', displayExpr: 'code', onValueChanged: onWasteTypeChange, searchEnabled: true, disabled: edit.model.id !== undefined  }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Tip stocare'}" dataField="storageTypeId" editorType="dxSelectBox"
                [editorOptions]="{dataSource: dsStorageType, valueExpr: 'id', displayExpr: ds.enumDisplay, searchEnabled: true}">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Tip deșeu'}" dataField='wt_hazard' editorType="dxSelectBox"
                [editorOptions]="{ dataSource: ds.hazard, valueExpr: 'id', displayExpr: 'value',  readOnly: true}"></dxi-item>
            <dxi-item [label]="{text: 'Activ'}" dataField='isActiv' editorType="dxCheckBox" [editorOptions]="{ }"></dxi-item>
            <dxi-item [colSpan]="2" [colCount]='2' [label]="{text: 'Denumire'}" dataField='wt_name' editorType="dxTextArea"
                [editorOptions]="{readOnly: true}"></dxi-item>
        </dxi-item>
    </dx-form>
</dx-scroll-view>